# Ogre::StaticGeometry::OptimisedSubMeshGeometry Class Reference

Struct holding geometry optimised per SubMesh / lod level, ready for copying to instances. More...

`#include <OgreStaticGeometry.h>`

Inheritance diagram for Ogre::StaticGeometry::OptimisedSubMeshGeometry:
[legend]

List of all members.

## Public Member Functions

| OptimisedSubMeshGeometry ()
| ~OptimisedSubMeshGeometry ()
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Public Attributes

VertexData * | vertexData
IndexData * | indexData

## Detailed Description

Struct holding geometry optimised per SubMesh / lod level, ready for copying to instances.

Remarks:
  Since we're going to be duplicating geometry lots of times, it's far more important that we don't have redundant vertex data. If a SubMesh uses shared geometry, or we're looking at a lower LOD, not all the vertices are being referenced by faces on that submesh. Therefore to duplicate them, potentially hundreds or even thousands of times, would be extremely wasteful. Therefore, if a SubMesh at a given LOD has wastage, we create an optimised version of it's geometry which is ready for copying with no wastage.

Definition at line 135 of file OgreStaticGeometry.h.

## Constructor & Destructor Documentation

Ogre::StaticGeometry::OptimisedSubMeshGeometry::OptimisedSubMeshGeometry | ( |  | ) |

Definition at line 138 of file OgreStaticGeometry.h.

Ogre::StaticGeometry::OptimisedSubMeshGeometry::~OptimisedSubMeshGeometry | ( |  | ) |

Definition at line 139 of file OgreStaticGeometry.h.

References OGRE_DELETE.

## Member Function Documentation

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

IndexData* Ogre::StaticGeometry::OptimisedSubMeshGeometry::indexData

Definition at line 145 of file OgreStaticGeometry.h.

VertexData* Ogre::StaticGeometry::OptimisedSubMeshGeometry::vertexData

Definition at line 144 of file OgreStaticGeometry.h.

The documentation for this class was generated from the following file:

- OgreStaticGeometry.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:02